%define debug_package %{nil}

Name:           ddrescueview
Version:        0.4.5
Release:        1%{?dist}
Summary:        Graphically examine ddrescue's log files in a user friendly GUI
Group:          Applications/System
License:        GPL
Packager:	Lawrence R. Rogers (lrr@cert.org)
URL:            http://sourceforge.net/projects/ddrescueview/
Source:		%{name}-source-%{version}.tar.xz
BuildRequires:	fpc
BuildRequires:	lazarus
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This small tool allows the user to graphically examine ddrescue's log files
in a user friendly GUI application. The Main window displays a block grid with
each block's color representing the block types it contains. Many people know
this type of view from defragmentation programs.  The program is written in
Object Pascal using the Lazarus IDE. It can be compiled to run on Windows,
GNU/Linux and probably OS X, too.  The downloads include binaries for the
respective target platform and the project files (source code).

%prep
%setup -c %{name}-%{version}

%build
cd %{name}-source-%{version}/source
lazbuild %{name}.lpi

%install
cd %{name}-source-%{version}/source
%{__install} -Dp -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}

%changelog
* Fri Feb 25 2022 Lawrence Rogers <lrr@cert.org> 0.4.53-1
- Update to 0.4.53-1
	Version 0.4.5

* Mon Feb 12 2018 Lawrence Rogers <lrr@cert.org> 0.4.a3-1
- Update to 0.4.a3-1
	Latest release.

* Thu Mar 23 2017 Lawrence Rogers <lrr@cert.org> 0.3-2
- Update to 0.3-2
	New release to solve dependency problem.

* Thu Mar 28 2013 Lawrence Rogers <lrr@cert.org> 0.3-1
- Update to 0.3-1
	Initial release
